Levain LabsLevain Labs
ApiNotifications

Update Settings

Patch routing/recipient; absent fields are not modified.

Patch routing/recipient; absent fields are not modified.

PUT
/api/v1/notifications/settings

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://api.levainlabs.com/api/v1/notifications/settings" \  -H "Content-Type: application/json" \  -d '{}'
{
  "notifications_email": "string",
  "slack_channel": "string",
  "routing": {
    "property1": {
      "property1": true,
      "property2": true
    },
    "property2": {
      "property1": true,
      "property2": true
    }
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}